xmonad-contrib-0.16: Third party extensions for xmonad

Copyright | (C) 2008 Justin Bogner
License | BSD3
Maintainer | mail@justinbogner.com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.RunOrRaise

Contents

- Usage

Description

A prompt for XMonad which will run a program, open a file, or raise an already running program, depending on context.

Synopsis

- runOrRaisePrompt :: XPConfig -> X ()
- data RunOrRaisePrompt

# Usage

1. In your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.RunOrRaise

1. In your keybindings add something like:

      , ((modm .|. controlMask, xK_x), runOrRaisePrompt def)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

runOrRaisePrompt :: XPConfig -> X () Source #

data RunOrRaisePrompt Source #

#### Instances

Instances details

XPrompt RunOrRaisePrompt Source # |

Instance details

Defined in XMonad.Prompt.RunOrRaise

Methods

showXPrompt :: RunOrRaisePrompt -> String Source #

nextCompletion :: RunOrRaisePrompt -> String -> [String] -> String Source #

commandToComplete :: RunOrRaisePrompt -> String -> String Source #

completionToCommand :: RunOrRaisePrompt -> String -> String Source #

completionFunction :: RunOrRaisePrompt -> ComplFunction Source #

modeAction :: RunOrRaisePrompt -> String -> String -> X () Source #